Subject: Re: [bug] 2.5.0 build with NO_PERL is broken

From: Junio C Hamano <[email-masked]>
Date: Fri, 14 Aug 2015 12:59:29 -0700

Renato Botelho <[email-masked]> writes:

> I also found that some commands require perl when NO_PERL is set:
>
> git-submodule
> git-request-pull
> git-am
>
> Definitely NO_PERL is not working as expected.

NO_PERL merely means "I want to build a subset of Git that is meant
to be usable on a system without a working Perl installed".  These
scripts that do require Perl installed are indeed not expected to
work under NO_PERL (if you think about it, that would be natural and
the only sensible expectation---otherwise we would have coded them
without using Perl at all, in which case there will be no need for
NO_PERL in the first place).